// wuji1.c
inherit ITEM;

string* skills = ({
	"sanhua-zhang",
	"qianye-shou",
	"jingang-quan",
	"luohan-quan",
	"banruo-zhang",
	"wuxiang-zhi",
      "longzhua-gong",
	"nianhua-zhi",
	"yizhi-chan",
	"xiuluo-dao",
	"fengyun-shou",
       "damo-jian",
	"fumo-jian",
	"mohe-zhi",
	"weituo-zhang",
	"ruying-suixingtui",
	"jinding-mianzhang",   //
       "hanbing-shenzhang",
	"xiaohun-zhang",
	"jiuyin-baiguzhua",
	"kurong-changong",
	"hamabu",
       "qingyan-zhang",   //
       "qishang-quan",
	"murong-daofa",
	"duanjia-jianfa",
	"luoying-zhang",
	"liumai-shenjian",
       "xunlei-jian",   //
       "renshu",
	"yuxiao-jian",
	"yizhi-chan",
	"liusheng-dao",
        "lingbo-weibu",   //
       "cuixin-zhang",
	"longzhua-gong",
	"poyu-quan",
	"canhe-zhi",
	"ranmu-daofa",
        "zhemei-shou",   //
       "jingang-quan",
	"kunlun-zhang",
	"murong-jianfa",
	"dugu-jiujian",
	"xuantie-jianfa",
        "baituo-shezhang",   //
       "wind-blade",
	"dashou-yin",
	"xianglong-zhang",
	"tiezhang-zhangfa",
	"xuantie-jianfa",




});

void create()
{
	int i = random(sizeof(skills));
	string titles = to_chinese(skills[i]) + "Æ×";

	set_name(titles, ({ "wuji1" }));
	set_weight(200);
	set("unit", "²á");
	set("long", "ÕâÊÇÒ»²á" + titles + "¡£\n");
	set("value", 500);
	set("material", "paper");
	set("shaolin", 1);
	set("skill", ([
		"name":	skills[i],	// name of the skill
		"exp_required":	10000,	// minimum combat experience required
		"jing_cost": 15+random(30),// jing cost every time study this
		"difficulty":	25,	// the base int to learn this skill
		"max_skill":	99	// the maximum level you can learn
	]) );
}
